Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# POAManagerA.cpp File Reference

`#include "POAManagerC.h"`
`#include "tao/Null_RefCount_Policy.h"`
`#include "tao/TypeCode_Constants.h"`
`#include "tao/Alias_TypeCode_Static.h"`
`#include "tao/Enum_TypeCode_Static.h"`
`#include "tao/Objref_TypeCode_Static.h"`
`#include "tao/Struct_TypeCode_Static.h"`
`#include "tao/TypeCode_Struct_Field.h"`
`#include "tao/CDR.h"`
`#include "tao/Any.h"`
`#include "tao/Any_Impl_T.h"`
`#include "tao/Any_Dual_Impl_T.h"`
`#include "tao/Any_Basic_Impl_T.h"`

Include dependency graph for POAManagerA.cpp:

## Namespaces
namespace | PortableServer
namespace | TAO
## Functions
template<>
CORBA::Boolean | Any_Impl_T< PortableServer::POAManager >::to_object (CORBA::Object_ptr &_tao_elem) const
template<>
CORBA::Boolean | Any_Impl_T< PortableServer::POAManager >::marshal_value (TAO_OutputCDR &)
template<>
CORBA::Boolean | Any_Impl_T< PortableServer::POAManager >::demarshal_value (TAO_InputCDR &)
void | operator<<= (CORBA::Any &_tao_any, PortableServer::POAManager_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableServer::POAManager_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableServer::POAManager_ptr &_tao_elem)
template<>
CORBA::Boolean | Any_Dual_Impl_T< PortableServer::POAManager::AdapterInactive >::marshal_value (TAO_OutputCDR &)
template<>
CORBA::Boolean | Any_Dual_Impl_T< PortableServer::POAManager::AdapterInactive >::demarshal_value (TAO_InputCDR &)
void | operator<<= (CORBA::Any &_tao_any, const PortableServer::POAManager::AdapterInactive &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableServer::POAManager::AdapterInactive *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableServer::POAManager::AdapterInactive *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const PortableServer::POAManager::AdapterInactive *&_tao_elem)
template<>
CORBA::Boolean | Any_Basic_Impl_T< PortableServer::POAManager::State >::marshal_value (TAO_OutputCDR &)
template<>
CORBA::Boolean | Any_Basic_Impl_T< PortableServer::POAManager::State >::demarshal_value (TAO_InputCDR &)
void | operator<<= (CORBA::Any &_tao_any, PortableServer::POAManager::State _tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableServer::POAManager::State &_tao_elem)
## Variables
TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const *const | _tao_fields_PortableServer_POAManager_AdapterInactive = 0
TAO::TypeCode::Struct< char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy > | _tao_tc_PortableServer_POAManager_AdapterInactive (CORBA::tk_except,"IDL:omg.org/PortableServer/POAManager/AdapterInactive:2.3","AdapterInactive", _tao_fields_PortableServer_POAManager_AdapterInactive, 0)
char const *const | _tao_enumerators_PortableServer_POAManager_State []
TAO::TypeCode::Enum< char const *, char const *const *, TAO::Null_RefCount_Policy > | _tao_tc_PortableServer_POAManager_State ("IDL:omg.org/PortableServer/POAManager/State:2.3","State", _tao_enumerators_PortableServer_POAManager_State, 4)
TAO::TypeCode::Objref< char const *, TAO::Null_RefCount_Policy > | _tao_tc_PortableServer_POAManager (CORBA::tk_local_interface,"IDL:omg.org/PortableServer/POAManager:2.3","POAManager")
::CORBA::TypeCode_ptr const | _tc_POAManager

## Function Documentation

template<>
CORBA::Boolean Any_Basic_Impl_T< PortableServer::POAManager::State >::demarshal_value | ( | TAO_InputCDR & |  | ) |

template<>
CORBA::Boolean Any_Basic_Impl_T< PortableServer::POAManager::State >::marshal_value | ( | TAO_OutputCDR & |  | ) |

template<>
CORBA::Boolean Any_Dual_Impl_T< PortableServer::POAManager::AdapterInactive >::demarshal_value | ( | TAO_InputCDR & |  | ) |

template<>
CORBA::Boolean Any_Dual_Impl_T< PortableServer::POAManager::AdapterInactive >::marshal_value | ( | TAO_OutputCDR & |  | ) |

template<>
CORBA::Boolean Any_Impl_T< PortableServer::POAManager >::demarshal_value | ( | TAO_InputCDR & |  | ) |

template<>
CORBA::Boolean Any_Impl_T< PortableServer::POAManager >::marshal_value | ( | TAO_OutputCDR & |  | ) |

template<>
CORBA::Boolean Any_Impl_T< PortableServer::POAManager >::to_object | ( | CORBA::Object_ptr & | _tao_elem | ) | const

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableServer::POAManager::State | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableServer::POAManager::AdapterInactive * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const PortableServer::POAManager::AdapterInactive & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableServer::POAManager_ptr * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableServer::POAManager_ptr | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | PortableServer::POAManager::State & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const PortableServer::POAManager::AdapterInactive *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | PortableServer::POAManager::AdapterInactive *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | PortableServer::POAManager_ptr & | _tao_elem
| ) |

## Variable Documentation

char const* const _tao_enumerators_PortableServer_POAManager_State[]`[static]`

| Initial value:
      {
        "HOLDING",
        "ACTIVE",
        "DISCARDING",
        "INACTIVE"

      }

TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const* const _tao_fields_PortableServer_POAManager_AdapterInactive = 0`[static]`

TAO::TypeCode::Objref<char const *, TAO::Null_RefCount_Policy> _tao_tc_PortableServer_POAManager(CORBA::tk_local_interface,"IDL:omg.org/PortableServer/POAManager:2.3","POAManager")`[static]`

TAO::TypeCode::Struct<char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const *, TAO::Null_RefCount_Policy> _tao_tc_PortableServer_POAManager_AdapterInactive(CORBA::tk_except,"IDL:omg.org/PortableServer/POAManager/AdapterInactive:2.3","AdapterInactive", _tao_fields_PortableServer_POAManager_AdapterInactive, 0)`[static]`

TAO::TypeCode::Enum<char const *, char const * const *, TAO::Null_RefCount_Policy> _tao_tc_PortableServer_POAManager_State("IDL:omg.org/PortableServer/POAManager/State:2.3","State", _tao_enumerators_PortableServer_POAManager_State, 4)`[static]`

TAO_PortableServer_Export::CORBA::TypeCode_ptr const PortableServer::_tc_POAManager

| Initial value:
        &_tao_tc_PortableServer_POAManager